Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components API 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.richfaces.component
Enum Positioning

    java.lang.Object
      java.lang.Enum<Positioning>
          org.richfaces.component.Positioning

All Implemented Interfaces:
  Serializable, Comparable<Positioning>

    public enum Positioning

extends Enum<Positioning>

Author:
  amarkhel

Enum Constant Summary
`auto`
`autoLeft`
`autoRight`
`bottomAuto`
`bottomLeft`
`bottomRight`
`topAuto`
`topLeft`
`topRight`

Field Summary
`static Positioning` | `DEFAULT`

Method Summary
`String` | `getValue()`
`static Positioning` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Positioning[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### auto

    public static final Positioning auto

### topLeft

    public static final Positioning topLeft

### topRight

    public static final Positioning topRight

### bottomLeft

    public static final Positioning bottomLeft

### bottomRight

    public static final Positioning bottomRight

### autoLeft

    public static final Positioning autoLeft

### autoRight

    public static final Positioning autoRight

### topAuto

    public static final Positioning topAuto

### bottomAuto

    public static final Positioning bottomAuto

Field Detail

### DEFAULT

    public static final Positioning DEFAULT

Method Detail

### values

    public static Positioning[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Positioning c : Positioning.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Positioning valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getValue

    public String getValue()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components API 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.